@import url("https://fonts.googleapis.com/css2?family=Google+Sans+Flex:opsz,wght@6..144,1..1000&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Outfit:wght@100..900&display=swap");
/* @import url('https://fonts.googleapis.com/css2?family=Azeret+Mono:ital,wght@0,100..900;1,100..900&family=Google+Sans+Flex:opsz,wght@6..144,1..1000&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Outfit:wght@100..900&display=swap'); */
/* @import url('https://fonts.googleapis.com/css2?family=Source+Code+Pro:ital,wght@0,200..900;1,200..900&display=swap'); */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}



body {
  font-family: "Inter", sans-serif;
    /* font-family: "Azeret Mono", monospace; */
  font-optical-sizing: auto;
  /* font-weight: ; */
  font-style: normal;
  /* font-family:
    -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Ubuntu,
    sans-serif;
  background: #f5f5f5; */
  /* padding: 2rem; */
  /* max-width: 800px; */
  margin: 0 auto;
}

#mainContent{
  max-width: 1200px;
  margin: 0 auto;
  padding: 20px   clamp(10px, 2.8vw, 40px);
}

.titleFont {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-size: 28px;
  /* font-weight: <weight>; */
  font-style: normal;
}



.address{
    font-size: 80%;
    padding-top: 5px;
    text-align: right;
}

.address a {
    color: black;
}

.address a:visited {
    color: black;
}

/* ----colour scheme---- */
@media (prefers-color-scheme: dark) {
    html{
    background-color: #121212;
    }
  body {
    /* background-color: #121212; */
    color: #ffffff;
  }

  .address a {
    color: whitesmoke;
}

.address a:visited {
    color: whitesmoke;
}

  /* Add more dark mode styles */
}

@media (prefers-color-scheme: light) {

  html{
    background-color: #f2f2f2;
}

  body {
    /* background-color: rgb(252, 252, 246); */
    color: #000000;
  }

  /* Add more light mode styles */
}

